## wxProgressDialog

This class represents a dialog that shows a short message and a progress bar. Optionally, it can display an ABORT button.

Derived from

wxFrame
wxWindow
wxEvtHandler
wxObject

Include files

<wx/progdlg.h>

Members

wxProgressDialog::wxProgressDialog
wxProgressDialog::~wxProgressDialog
wxProgressDialog::Resume
wxProgressDialog::Update

### wxProgressDialog::wxProgressDialog

wxProgressDialog(const wxString& title, const wxString& message, int maximum = 100, wxWindow * parent = NULL, int style = wxPD_AUTO_HIDE | wxPD_APP_MODAL)

Constructor. Creates the dialog, displays it and disables user input for other windows, or, if wxPD_APP_MODAL flag is not given, for its parent window only.

Parameters

title

Dialog title to show in titlebar.

message

Message displayed above the progress bar.

maximum

Maximum value for the progress bar.

parent

Parent window.

message

Message to show on the dialog.

style

The dialog style. This is the combination of the following bitmask constants defined in wx/defs.h:

wxPD_APP_MODAL | Make the progress dialog modal. If this flag is not given, it is only "locally" modal - that is the input to the parent window is disabled, but not to the other ones.
wxPD_AUTO_HIDE | Causes the progress dialog to disappear from screen as soon as the maximum value of the progress meter has been reached.
wxPD_CAN_ABORT | This flag tells the dialog that it should have a "Cancel" button which the user may press. If this happens, the next call to Update() will return FALSE.
wxPD_ELAPSED_TIME | This flag tells the dialog that it should show elapsed time (since creating the dialog).
wxPD_ESTIMATED_TIME | This flag tells the dialog that it should show estimated time.
wxPD_REMAINING_TIME | This flag tells the dialog that it should show remaining time.

### wxProgressDialog::~wxProgressDialog

~wxMessageDialog()

Destructor. Deletes the dialog and enables all top level windows.

### wxProgressDialog::Resume

void Resume()

Can be used to continue with the dialog, after the user had chosen ABORT.

### wxProgressDialog::Update

bool Update( int value, const wxString& newmsg = "")

Updates the dialog, setting the progress bar to the new value and, if given changes the message above it. Returns true unless the Cancel button has been pressed.

If FALSE is returned, the application can either immediately destroy the dialog or ask the user for the confirmation and if the abort is not confirmed the dialog may be resumed with Resume function.

Parameters

value

The new value of the progress meter. It must be strictly less than the maximum value given to the constructor (i.e., as usual in C, the index runs from 0 to maximum-1).

newmsg

The new messages for the progress dialog text, if it is empty (which is the default) the message is not changed.